
%define         _name emerald
%define         rel		4
%define         release %mkrel %{rel}
Name:           compiz-emerald
Version:        0.8.18
Release:	    %{release}
Summary:        Themeable window decorator for Compiz
License:        GPL-2.0-or-later
URL:            https://gitlab.com/compiz/emerald
Source:         https://gitlab.com/compiz/emerald/uploads/%{_rev}/%{_name}-%{version}.tar.xz
Source1:	    compizgem
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  %{_lib}decoration-devel
BuildRequires:  pkgconfig(libwnck-3.0)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(xrender) >= 0.8.4
Requires:       compiz
Provides:       %{name}-theme-manager >= %{version}
#Recommends:     %{name}-themes
Provides:       compiz-decorator = 0.8

%description
Emerald is a themeable window decorator for Compiz.
This package contains a graphical theme manager too.

%package devel
Summary:        Development files for compiz-emerald
Requires:       %{name} = %{version}
Requires:       gcc-c++
Requires:       pkgconfig(gtk+-3.0)
Requires:       pkgconfig(libdecoration)
Requires:       pkgconfig(libwnck-3.0)
Requires:       pkgconfig(pangocairo)
Requires:       pkgconfig(xrender) >= 0.8.4

%description devel
Emerald is a themeable window decorator for Compiz.

This package holds the development files for compiz-emerald.

%prep
%setup -q -n %{_name}-%{version}
mkdir -p m4

%build
autoreconf -vfi -Im4
intltoolize --force
%configure2_5x \
  --with-gtk=3.0        \
  --disable-static      \
  --disable-mime-update
%make_build

%install
%make_install
# /usr/share/mime-info was GNOME 1 infrastructure. These times are long gone
rm -rf %{buildroot}%{_datadir}/mime-info
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}%{_datadir}/

install -m755 %{_sourcedir}/compizgem %{buildroot}%{_bindir}/compizgem

desktop-file-install \
  --vendor="" \
  --remove-category="Compiz" \
  --add-category="GTK" \
  --add-category="Settings" \
  --add-category="DesktopSettings" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{_name}-theme-manager.desktop
  
%find_lang %{_name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{_name}.lang
%doc AUTHORS NEWS README.md
%{_bindir}/%{_name}
%{_bindir}/compizgem
%{_libdir}/%{_name}/
%{_libdir}/libemeraldengine.so.*
%{_datadir}/%{_name}/
%{_datadir}/icons/hicolor/*/mimetypes/*%{_name}*
%{_datadir}/mime/packages/%{_name}.xml
%{_mandir}/man1/%{_name}.1*
%{_bindir}/%{_name}-theme-manager
%{_datadir}/applications/*%{_name}*.desktop
%{_datadir}/icons/hicolor/*/apps/*%{_name}-theme-manager*
%{_mandir}/man1/%{_name}-theme-manager.1*

%files devel
%{_includedir}/%{_name}/
%{_libdir}/libemeraldengine.so
%{_libdir}/pkgconfig/%{_name}*.pc

%changelog
* Sat Oct 09 2021 yodelu 0.8.18-4pclos2020
- rebuild

* Mon Nov 23 2020 yodelu 0.8.18-3pclos2020
- add a script to switch default decorator 

* Sat Nov 14 2020 yodelu 0.8.18-2pclos2020
- launch theme-manager from main menu

* Wed Nov 11 2020 yodelu 0.8.18-1pclos2020
- imported pakage compiz-emerald
